Index: build/mac/dump_app_syms |
=================================================================== |
--- build/mac/dump_app_syms (revision 0) |
+++ build/mac/dump_app_syms (revision 0) |
@@ -0,0 +1,37 @@ |
+#!/bin/sh |
+ |
+# Copyright (c) 2009 The Chromium Authors. All rights reserved. |
+# Use of this source code is governed by a BSD-style license that can be |
+# found in the LICENSE file. |
+ |
+# Make sure we got the header to write into passed to us |
+if [ $# -ne 1 ]; then |
+ echo "error: missing branding as an argument" >&2 |
+ exit 1 |
+fi |
+ |
+set -ex |
+ |
+# Skip out if we're aren't in Release mode, no need for dump_sym on debug runs. |
Mark Mentovai
2009/05/12 21:54:16
dump_syms (add s)
|
+if [ "${CONFIGURATION}" != "Release" ] ; then |
+ exit 0 |
+fi |
+ |
+TOP="${SRCROOT}/.." |
+BUILD_BRANDING=$1 |
+ |
+. "${TOP}/chrome/VERSION" |
+ |
+SRC_APP_NAME="${BUILD_BRANDING}" |
+BREAKPAD_DUMP_SYMS="${BUILT_PRODUCTS_DIR}/dump_syms" |
+BREAKPAD_PRODUCT_ID="${BUILD_BRANDING}_Mac" |
+FULL_VERSION="${MAJOR}.${MINOR}.${BUILD}.${PATCH}" |
+SRC_APP_PATH="${BUILT_PRODUCTS_DIR}/${SRC_APP_NAME}.app" |
+# Created by the build/mac/strip_from_xcode script. |
+UNSTRIPPED_APP="${SRC_APP_PATH}.dSYM/Contents/Resources/DWARF/${SRC_APP_NAME}" |
+SYMBOL_FILE="${BUILT_PRODUCTS_DIR}/${BUILD_BRANDING}-${FULL_VERSION} i386.breakpad" |
+ |
+# Only run dump_syms if the file has changed since we last did a dump. |
+if [ "${UNSTRIPPED_APP}" -nt "${SYMBOL_FILE}" ] ; then |
+ "${BREAKPAD_DUMP_SYMS}" -a i386 "${UNSTRIPPED_APP}" > "${SYMBOL_FILE}" |
+fi |
Property changes on: build/mac/dump_app_syms |
___________________________________________________________________ |
Name: svn:executable |
+ * |
Name: svn:eol-style |
+ LF |